summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Gabriel Magno2013-10-26 23:33:17 +0200
committer Robby Workman2013-10-28 05:38:55 +0100
commit980e2bf01212a6cf7e224cc9a90f4d7e6b50a201 (patch)
treee6aaf032d1b3c54504ccb2ca28f61fe8e18a5780 /office
parent87f1239edc2bbfdfaf48bc2ca69b57e941c78c89 (diff)
downloadslackbuilds-980e2bf01212a6cf7e224cc9a90f4d7e6b50a201.tar.gz
office/bibutils: Added (Converter for various bibliography formats)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/bibutils/README12
-rw-r--r--office/bibutils/bibutils.SlackBuild92
-rw-r--r--office/bibutils/bibutils.info10
-rw-r--r--office/bibutils/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/office/bibutils/README b/office/bibutils/README
new file mode 100644
index 0000000000..b7c195a763
--- /dev/null
+++ b/office/bibutils/README
@@ -0,0 +1,12 @@
+The bibutils program set interconverts between various bibliography
+formats using a common MODS-format XML intermediate. For example,
+one can convert RIS-format files to Bibtex by doing two
+transformations: RIS->MODS->Bibtex.
+
+By using a common intermediate for N formats, only 2N programs are
+required and not N^2-N. These programs operate on the command line
+and are styled after standard UNIX-like filters.
+
+Bibutils converts between bibliography formats including BibTeX,
+RIS, Endnote (Refer), ISI, COPAC, and Medline XML using a
+MODS v3.0 XML intermediate.
diff --git a/office/bibutils/bibutils.SlackBuild b/office/bibutils/bibutils.SlackBuild
new file mode 100644
index 0000000000..56680bb27b
--- /dev/null
+++ b/office/bibutils/bibutils.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for bibutils
+
+# Copyright 2013 Gabriel Magno, Belo Horizonte, MG, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bibutils
+VERSION=${VERSION:-5.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}_${VERSION}
+tar xvf $CWD/${PRGNAM}_${VERSION}_src.tgz
+cd ${PRGNAM}_${VERSION}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --install-dir $PKG/usr/bin \
+ --install-lib $PKG/usr/lib${LIBDIRSUFFIX} \
+ --dynamic
+
+make
+make install
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ readme.txt ChangeLog Copying \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/bibutils/bibutils.info b/office/bibutils/bibutils.info
new file mode 100644
index 0000000000..401c84d48a
--- /dev/null
+++ b/office/bibutils/bibutils.info
@@ -0,0 +1,10 @@
+PRGNAM="bibutils"
+VERSION="5.0"
+HOMEPAGE="http://sourceforge.net/projects/bibutils"
+DOWNLOAD="http://downloads.sourceforge.net/project/bibutils/bibutils_5.0_src.tgz"
+MD5SUM="c4838bf0d8ae48e4df49ae395bf643d0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Gabriel Magno"
+EMAIL="gabrielmagno1@gmail.com"
diff --git a/office/bibutils/slack-desc b/office/bibutils/slack-desc
new file mode 100644
index 0000000000..405d64d29a
--- /dev/null
+++ b/office/bibutils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bibutils: bibutils (Converter library for various bibliography formats)
+bibutils:
+bibutils: The bibutils program set interconverts between various bibliography
+bibutils: formats using a common MODS-format XML intermediate. These programs
+bibutils: operate on the command line and are styled after standard UNIX-like
+bibutils: filters.
+bibutils:
+bibutils: http://sourceforge.net/projects/bibutils
+bibutils:
+bibutils:
+bibutils: